I get the following 3 warnings when running maven in tck20 project. I have installed jdk 1.5 .  I am attaching a patch for it.

java:compile:
    [echo] Compiling to /home/karan/Projects/jdo/trunk/tck20/target/classes
    [javac] Compiling 491 source files to /home/karan/Projects/jdo/trunk/tck20/target/classes
/home/karan/Projects/jdo/trunk/tck20/test/java/org/apache/jdo/tck/enhancement/EnhancerTest.java:74: warning: as of release 1.5, 'enum' is a keyword, and may not be used as an identifier
(try -source 1.5 to use 'enum' as a keyword)
        Enumeration enum = classesToTest.propertyNames();
                    ^
/home/karan/Projects/jdo/trunk/tck20/test/java/org/apache/jdo/tck/enhancement/EnhancerTest.java:79: warning: as of release 1.5, 'enum' is a keyword, and may not be used as an identifier
(try -source 1.5 to use 'enum' as a keyword)
        while (enum.hasMoreElements()) {
               ^
/home/karan/Projects/jdo/trunk/tck20/test/java/org/apache/jdo/tck/enhancement/EnhancerTest.java:81: warning: as of release 1.5, 'enum' is a keyword, and may not be used as an identifier
(try -source 1.5 to use 'enum' as a keyword)
            String packageName = (String) enum.nextElement();
                                          ^
Note: /home/karan/Projects/jdo/trunk/tck20/test/java/org/apache/jdo/tck/util/SwingTestRunner.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
3 warnings


--
Karan Malhi